/*******************************************************************************
***
*** Filename         : conmsg.h
*** Purpose          : IPC message format for the PsiStack Console
*** Author           : Matt J. Gumbley
*** Created          : 13/02/98
*** Last updated     : 13/02/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef CONMSG_H
#define CONMSG_H

/* Needs EPOC.H */

#define CM_MSGMAX 2048

/* Message types */
#define CMT_TEXT 1                       /* Text to be printed on the console */
#define CMT_BINARY 2             /* Binary data to be hexdumped and displayed */
#define CMT_IP 3                          /* An IP datagram to be interpreted */
/* We could have any number of these.... */
#define CMT_UNLOAD 0xDEAD       /* Close console; use a magic number for this */

/* The format of messages sent by the client */
typedef struct conmsg {
  UWORD     cm_len; /* Largest message size dictated by value of CM_MSGMAX */
  UBYTE     *cm_data;
} CONMSG;

#endif /* CONMSG_H */

