/*******************************************************************************
***
*** Filename         : console.h
*** Purpose          : PsiStack Console API Link Library Definitions
*** Author           : Matt J. Gumbley
*** Created          : 15/02/98
*** Last updated     : 13/04/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef CONAPI_H
#define CONAPI_H

struct logstat {
  char *ls_name;
  int   ls_value;
};

struct logiostat {
  char *ls_name;
  int   ls_input;
  int   ls_output;
};

GLDEF_C VOID console_setprefix(TEXT *s);
GLDEF_C INT console_timestamp(INT b);
GLREF_C INT console_putch(UINT);
GLREF_C INT console_print(TEXT *);
GLREF_C INT console_puts(TEXT *);
GLREF_C INT CDECL console_printf(TEXT *, UINT, ...);
GLREF_C INT console_write_text(UBYTE *, UWORD);
GLREF_C INT console_write_binary(UBYTE *, UWORD);
GLREF_C INT console_write_ip(UBYTE *, UWORD);
GLREF_C HANDLE console_load(VOID);
GLREF_C HANDLE console_loaded(VOID);
GLREF_C INT console_unload(VOID);
GLREF_C VOID  console_writestats(struct logstat *);
GLREF_C VOID  console_writeiostats(struct logiostat *);
GLREF_C VOID  console_time(VOID);
GLREF_C VOID  console_ptime(VOID);

#endif /* CONAPI_H */

