/*******************************************************************************
***
*** Filename         : events.h
*** Purpose          : PsiStack Stack Kernel event code definitions
*** Author           : Matt J. Gumbley
*** Created          : 14/03/98
*** Last updated     : 18/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef EVENTS_H
#define EVENTS_H

/* Flags indicating that a process is interested in certain stack events. 
   See SMT_QUEUE_EVENT_REQUEST for more details */

#define EVT_LINEDROPPED 0x0001                 /* The serial line has dropped */
#define EVT_SCRIPTING   0x0002              /* A script has started executing */
#define EVT_LINK_UP     0x0004     /* Entered link layer (PPP) up-negotiation */
#define EVT_NET_UP      0x0008                /* Now connected to the network */
#define EVT_LINK_DOWN   0x0010   /* Entered link layer (PPP) down-negotiation */
#define EVT_NET_DOWN    0x0020               /* Disconnected from the network */
#define EVT_NEW_METHOD  0x0040       /* A new method is being used to connect */
#define EVT_UI_MESSAGE  0x0080  /* Please display the zero-terminated message 
                                                in your event buffer. Thanks! */
#define EVT_TERM        0x0100                  /* Have entered terminal mode */
#define EVT_UI_TERMDATA 0x0200      /* Please display this terminal-mode data */

#endif /* EVENTS_H */
