/*******************************************************************************
***
*** Filename         : socket.h
*** Purpose          : PsiStack Sockets EPOC style API Link Library Definitions
*** Author           : Matt J. Gumbley
*** Created          : 16/04/98
*** Last updated     : 16/04/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SOCKETAPI_H
#define SOCKETAPI_H


GLREF_C INT socket_socket(INT domain, INT type, INT protocol);

GLREF_C INT socket_socketa(INT domain, INT type, INT protocol, WORD *pstat);

GLREF_C INT socket_socketpair(int domain, int type, int protocol, int sockvec[2]);

GLREF_C INT socket_socketpaira(int domain, int type, int protocol, int sockvec[2], WORD *pstat);

GLREF_C INT socket_bind(INT sockfd, struct sockaddr *saddr, INT addrlen);

GLREF_C INT socket_binda(INT sockfd, struct sockaddr *saddr, INT addrlen,
                         WORD *pstat);

GLREF_C INT socket_connect(INT sockfd, struct sockaddr *serv_addr, INT addrlen);

GLREF_C INT socket_connecta(INT sockfd, struct sockaddr *serv_addr, INT addrlen,
                            WORD *pstat);

GLREF_C INT socket_listen(INT sockfd, INT n);

GLREF_C INT socket_listena(INT sockfd, INT n, WORD *pstat);

GLREF_C INT socket_accept(INT sockfd, struct sockaddr *peeraddr, INT *paddrlen);

GLREF_C INT socket_accepta(INT sockfd, struct sockaddr *peeraddr, INT *paddrlen,
                           WORD *pstat);

GLREF_C INT socket_getsockopt(INT sockfd, INT level, INT optname, VOID *optval,
                              INT *optlen);

GLREF_C INT socket_getsockopta(INT sockfd, INT level, INT optname, VOID *optval,
                               INT *optlen, WORD *pstat);

GLREF_C INT socket_setsockopt(INT sockfd, INT level, INT optname, VOID *optval,
                              INT optlen);

GLREF_C INT socket_setsockopta(INT sockfd, INT level, INT optname, VOID *optval,
                              INT optlen, WORD *pstat);

GLREF_C INT socket_getsockname(INT sockfd, struct sockaddr *addr, INT *paddrlen);

GLREF_C INT socket_getsocknamea(INT sockfd, struct sockaddr *addr, 
                                INT *paddrlen, WORD *pstat);

GLREF_C INT socket_getpeername(INT sockfd, struct sockaddr *peer, INT *paddrlen);

GLREF_C INT socket_getpeernamea(INT sockfd, struct sockaddr *peer, 
                                INT *paddrlen, WORD *pstat);

GLREF_C INT socket_send(INT sockfd, VOID *buff, INT len, UWORD flags);

GLREF_C INT socket_senda(INT sockfd, VOID *buff, INT len, UWORD flags, 
                         WORD *pstat);

GLREF_C INT socket_recv(INT sockfd, VOID *buff, INT len, UWORD flags);

GLREF_C INT socket_recva(INT sockfd, VOID *buff, INT len, UWORD flags, 
                         WORD *pstat);

GLREF_C INT socket_sendto(INT sockfd, VOID *buff, INT len, 
                          UWORD flags, struct sockaddr *to, INT tolen);

GLREF_C INT socket_sendtoa(INT sockfd, VOID *buff, INT len, 
                          UWORD flags, struct sockaddr *to, INT tolen,
                          WORD *pstat);

GLREF_C INT socket_recvfrom(INT sockfd, VOID *buff, INT len,
                            UWORD flags, struct sockaddr *from, INT *fromlen);

GLREF_C INT socket_recvfroma(INT sockfd, VOID *buff, INT len,
                             UWORD flags, struct sockaddr *from, INT *fromlen,
                             WORD *pstat);

GLREF_C INT socket_shutdown(INT sockfd, INT how);

GLREF_C INT socket_shutdowna(INT sockfd, INT how, WORD *pstat);

GLREF_C INT socket_close(INT sockfd);

GLREF_C INT socket_closea(INT sockfd, WORD *pstat);


#endif /* SOCKETAPI_H */

