/*******************************************************************************
***
*** Filename         : stack.h
*** Purpose          : PsiStack Stack Kernel API Link Library Definitions
*** Author           : Matt J. Gumbley, Patrick H. Robbe
*** Created          : 28/07/97
*** Last updated     : 24/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef STACKAPI_H
#define STACKAPI_H


GLREF_D HANDLE hStack;

/*
GLREF_C UINT   stack_sendmsg(UINT type, STKMSG *msg); 
Declare this yourself if, like the sockets library, you want access to the 
low-level message API to the kernel. You'll need to include ..\kernel\stackmsg.h
to get the stack message codes. 
*/
GLREF_C HANDLE stack_load(VOID);
GLREF_C HANDLE stack_loaded(VOID);
GLREF_C HANDLE stack_ensureloaded(VOID);

/* event codes for eventmask are in include\psistack\sys\msg.h */
GLREF_C UINT stack_queue_event_request(UWORD eventmask, WORD *pstatusword, 
                                       VOID *pbuffer, UWORD length, 
                                       UWORD *plenbuffer);
GLREF_C UINT stack_cancel_event_request(VOID);

GLREF_C UINT stack_unload(VOID);

GLREF_C UINT stack_set_netifstate(UWORD newstate);
GLREF_C UINT stack_get_netifstate(VOID);

GLREF_C UINT stack_set_misc(UWORD misc);
GLREF_C UINT stack_get_misc(VOID);

GLREF_C UINT stack_set_netif(struct netif *netif);
GLREF_C UINT stack_get_netif(struct netif *netif);

GLREF_C UINT stack_open_netif(UWORD mode);
GLREF_C UINT stack_close_netif(VOID);

GLREF_C UINT stack_set_asy(struct asy *asy);
GLREF_C UINT stack_get_asy(struct asy *asy);

GLREF_C UINT stack_open_asy(VOID);
GLREF_C UINT stack_close_asy(VOID);
GLREF_C UINT stack_set_asyhandler(VOID);

GLREF_C UINT stack_set_sc(struct scriptcontext *sc);
GLREF_C UINT stack_get_sc(struct scriptcontext *sc);

GLREF_C UINT stack_set_ispc(struct ISPcontext *ispc);
GLREF_C UINT stack_get_ispc(struct ISPcontext *ispc);

GLREF_C UINT stack_set_log(UWORD log);
GLREF_C UINT stack_get_log(VOID);

GLREF_C UINT stack_set_ping(struct ping_info *p);
GLREF_C UINT stack_get_ping(struct ping_info *p);
GLREF_C UINT stack_send_ping(VOID);

GLREF_C UINT stack_send_key(UWORD key);

GLREF_C UINT stack_stats(VOID);

GLREF_C UINT stack_set_udp_config(struct udp_config *udp_config);
GLREF_C UINT stack_get_udp_config(struct udp_config *udp_config);

GLREF_C UINT stack_set_tcp_config(struct tcp_config *tcp_config);
GLREF_C UINT stack_get_tcp_config(struct tcp_config *tcp_config);

GLREF_C UINT stack_set_ppp_config(struct ppp_config *ppp_config);
GLREF_C UINT stack_get_ppp_config(struct ppp_config *ppp_config);

#endif /* STACKAPI_H */
