/*******************************************************************************
***
*** Filename         : global.h
*** Purpose          : Some global definitions
*** Author           : Matt J. Gumbley
*** Created          : 19/01/97
*** Last updated     : 29/06/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SYS_GLOBAL_H
#define SYS_GLOBAL_H

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define LITTLE_ENDIAN TRUE

typedef unsigned char     byte;
typedef unsigned int      word16;
typedef unsigned long int word32;


#ifdef LITTLE_ENDIAN
#define hs2net(x) (word16) ((word16) ((x) >> 8) + (word16)((x) << 8))
#define net2hs(x) (word16) ((word16) ((x) >> 8) + (word16)((x) << 8))
#define hl2net(x) (word32) ((word32) ( (x)                >> 24) +\
                            (word32) (((x) & 0x00ff0000L) >> 8) +\
                            (word32) (((x) & 0x0000ff00L) << 8) +\
                            (word32) ( (x)                << 24))
#define net2hl(x) (word32) ((word32) ( (x)                >> 24) +\
                            (word32) (((x) & 0x00ff0000L) >> 8) +\
                            (word32) (((x) & 0x0000ff00L) << 8) +\
                            (word32) ( (x)                << 24))
#else
#define hs2net(x) (x)
#define net2hs(x) (x)
#define hl2net(x) (x)
#define net2hl(x) (x)
#endif

#endif /* SYS_GLOBAL_H */

