/*******************************************************************************
***
*** Filename         : ppp.h
*** Purpose          : Point-to-Point protocol details structure
*** Author           : Patrick Robbe, Matt J. Gumbley
*** Created          : 24/08/98
*** Last updated     : 24/08/98
***
********************************************************************************
***
*** Modification Record: 
***
*******************************************************************************/

#ifndef SYS_PPP_H
#define SYS_PPP_H

#define PPP_IPHDR_COMPRESSED   1
#define PPP_IPHDR_UNCOMPRESSED 2

#define PPP_AUTH_NONE 1
#define PPP_AUTH_PAP  2
#define PPP_AUTH_CHAP 3

struct ppp_config {
  int restart_timer;          /* restart timer value */
  int IP_Header_compression;  /* IP Header uncompressed (1) or compressed (2) */
  int Authentication;         /* None(=Login) (1) or PAP (2) or CHAP (3) */
};

#endif /* SYS_PPP_H */

