/*******************************************************************************
***
*** Filename         : attn.h
*** Purpose          : Main loop attention grabbing mechanism.
*** Author           : Matt J. Gumbley, Patrick H. Robbe
*** Created          : 15/07/97
*** Last updated     : 03/12/97
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef ATTN_H
#define ATTN_H

/* Attention variable flags for various main loop activities */
#define ATTN_IP        0x8000
#define ATTN_NIF       0x4000
#define ATTN_SCRIPT    0x2000
#define ATTN_PING      0x1000
#define ATTN_TRACE     0x0800
#define ATTN_FSM       0x0400 
#define ATTN_LCP       0x0200
#define ATTN_TCPOUTPUT 0x0100

GLREF_D UWORD attn;

#define attn_remove( x ) attn &= ~( x )

GLREF_C VOID attn_process(VOID);
GLREF_C VOID attn_signal(UWORD);

#endif /* ATTN_H */

