/*******************************************************************************
***
*** Filename         : cslip.h
*** Purpose          : Definitions for the CSLIP data-link layer in PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 12/07/97
*** Last updated     : 21/01/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef CSLIP_H
#define CSLIP_H

/* The Maximum Transfer Unit for CSLIP networks */
#define CSLIP_MTU 296 /* What Linux uses... although RFC 1055 says 1006? */

/* Storage requirements for CSLIP */
struct cslip_storage {
  byte *cs_txbuildup;                    /* Tx frame buildup buffer for CSLIP */
  struct buf *cs_rxbuildup;              /* Rx frame buildup buffer for CSLIP */
  int cs_rcnt;                       /* Next posision in frame being built up */
  int cs_escaped;                                     /* Are we in an escape? */
};

extern void cslip_stats(void);
extern void cslip_inprocess(void);
extern int  cslip_outprocess(void);

#endif /* CSLIP_H */

