/*******************************************************************************
***
*** Filename         : dls.h
*** Purpose          : Storage for PsiStack's Data Link Layers
*** Author           : Matt J. Gumbley
*** Created          : 21/01/98
*** Last updated     : 23/01/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef DLS_H
#define DLS_H

/* Data-link layer storage: the currently selected data-link protocol 
   requires its own storage, so here it is. We could allocate one of these
   <prot>_storage structures when we switch protocols, but it's just easier
   to have a union of all three which always stays the same size (the size of
   the largest structure, which will probably be ppp) */
union dls {
  struct slip_storage ss;
  struct cslip_storage cs;
  struct ppp_storage ps;
};

extern union dls dls;

#endif /* DLS_H */

