/*******************************************************************************
***
*** Filename         : lcp.c
*** Purpose          : The PPP Link Control Protocol layer in PsiStack
*** Author           : Patrick Robbe
*** Created          : 10/10/97
*** Last updated     : 21/03/98
***
********************************************************************************
***
*** Modification Record: 
***
*******************************************************************************/

#include "stack.h"

struct lcp_storage lcs;

/*******************************************************************************
***
*** Function         : lcp_process
*** Preconditions    : we have a received lcp packet waiting for us to handle
*** Postconditions   : the lcp packet is handled
***
*******************************************************************************/

void lcp_process(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_configure_request
*** Preconditions    : 
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_configure_request(void)
{
  register byte d;
  register int i;

  d=Configure_Request;
  buf_addbyte(lcs.lcp_txbuildup,d);
  d=lcs.lcp_cur_tx_id;
  buf_addbyte(lcs.lcp_txbuildup,d);
  d=0x04; // length of the LCP packet
  buf_addbyte(lcs.lcp_txbuildup,d);
  d=0x00; // (Big Endian)
  buf_addbyte(lcs.lcp_txbuildup,d);

  i = buf_length(lcs.lcp_txbuildup);
  if (flags.log_flag & LOG_FLAG_IPDUMP) {
    /* Patrick: You may want to change this to LOG_FLAG_LINKDUMP? -- Matt */
    console_printf("lcp: Send Configure Request packet: 0x%04x bytes:\r\n", i);
    buf_hexdump(lcs.lcp_txbuildup);
  }
  queue_enqueue(netif->ni_devoutq, lcs.lcp_txbuildup);
  attn_signal(ATTN_FSM);
}


/*******************************************************************************
***
*** Function         : ppp_send_configure_ack
*** Preconditions    : 
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_configure_ack(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_configure_nack
*** Preconditions    :
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_configure_nack(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_terminate_request
*** Preconditions    :
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_terminate_request(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_terminate_ack
*** Preconditions    :
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_terminate_ack(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_code_reject
*** Preconditions    :
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_code_reject(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_protocol_reject
*** Preconditions    :
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_protocol_reject(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : ppp_send_echo_reply
*** Preconditions    :
*** Postconditions   :
***
*******************************************************************************/

void ppp_send_echo_reply(void)
{
  return;
}


/*******************************************************************************
***
*** Function         : lcp_new_magic_number
*** Preconditions    : the Psion is switched on, hopefully!
*** Postconditions   : a new, random, magic number is returned
***
*******************************************************************************/
long lcp_new_magic_nb(void)
{
  return (long) 0x01020304L; // Quick haqck, not really random... ;-)
}
