/*******************************************************************************
***
*** Filename         : main.c
*** Purpose          : Main module for the PsiStack stack process.
*** Author           : Matt J. Gumbley
*** Created          : 23/07/97
*** Last updated     : 26/07/97
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#include "stack.h"

/*******************************************************************************
***
*** Function         : stack_loop
*** Preconditions    : The system has been initialised.
*** Postconditions   : This is the main loop - control never passes out.
***
*******************************************************************************/

LOCAL_C VOID stack_loop(VOID)
{
  FOREVER {

    p_iowait();

    /* Central stack process handles serial data, timer, and any other
       stack-internal attention-grabbing processes which may have been 
       awakened. */
    stack_process();
  }
}


/*******************************************************************************
***
*** Function         : main
*** Preconditions    : Zilch-o
*** Postconditions   : Happy user.
***
*******************************************************************************/

GLDEF_C VOID main(VOID)
{
  machine_check();
  if (machine_type == MACH_UNKNOWN)
    p_puts("Unknown machine!");
  else {
    stack_init();
    stack_loop();
  }
}

