/*******************************************************************************
***
*** Filename         : nif.h
*** Purpose          : Network Interface abstraction definitions
*** Author           : Matt J. Gumbley, Patrick H. Robbe
*** Created          : 19/01/97
*** Last updated     : 01/03/98
***
********************************************************************************
***
*** Modification Record: 
***
*******************************************************************************/

#ifndef NIF_H
#define NIF_H

/* The network interfaces */
GLREF_D struct netif nif[NI_MAXINTERFACES];
GLREF_D struct netif *locif;
GLREF_D struct netif *netif;

GLREF_C int  nif_init(void);
GLREF_C void nif_destroy(void);
GLREF_C void nif_close(struct netif *);
GLREF_C int  nif_open(int);
GLREF_C int  nif_send(struct netif *, struct buf *);
GLREF_C void nif_stats(void);
GLREF_C void nif_stat(struct netif *);
GLREF_C void nif_process(void);

#endif /* NIF_H */
