/*******************************************************************************
***
*** Filename         : queue.h
*** Purpose          : Definitions for the FIFO queue structures
*** Author           : Matt J. Gumbley
*** Created          : 19/01/97
*** Last updated     : 01/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef QUEUE_H
#define QUEUE_H

/* Routines for manipulating queues of struct buf's */ 
int queue_full(struct queue *);
int queue_empty(struct queue *);
struct queue *queue_create(int);
void queue_delete(struct queue *);
void queue_discard(struct queue *);
int queue_enqueue(struct queue *, struct buf *);
int queue_enqueue_ordered(struct queue *, struct buf *, int);
struct buf *queue_dequeue(struct queue *);

/* Routines for manipulating queues of integers */
#define iqueue_full queue_full
#define iqueue_empty queue_empty
struct queue *iqueue_create(int);
void iqueue_delete(struct queue *);
int iqueue_enqueue(struct queue *, int);
int iqueue_dequeue(struct queue *);

#endif /* QUEUE_H */

