/*******************************************************************************
***
*** Filename         : stack.h
*** Purpose          : Include file which includes all stack and system
***                    header files.
*** Author           : Matt J. Gumbley
*** Created          : 06/04/97
*** Last updated     : 10/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef STACK_H
#define STACK_H


#include "../library/utils/sysincl.h"
#include "../include/psistack/sys/stack.h" /* Data structure definitions */
#include "../library/utils/machine.h"
#include "../library/utils/version.h"
#include "../library/utils/utils.h"
#include "../include/psistack/console.h"
#include "../include/psistack/dbms.h"
#include "../include/psistack/events.h"
#include "../kernel/ip.h"
#include "../kernel/nif.h"
#include "../kernel/slip.h"
#include "../kernel/lcp.h"
#include "../kernel/ppp.h"
#include "../kernel/cslip.h"
#include "../kernel/term.h"
#include "../kernel/dls.h"
#include "../kernel/icmp.h"
#include "../kernel/tcp.h"
#include "../kernel/tcpin.h"
#include "../kernel/tcpout.h"
#include "../kernel/udp.h"
#include "../kernel/asy.h"
#include "../kernel/queue.h"
#include "../kernel/util.h"
#include "../kernel/buffer.h"
#include "../kernel/script.h"
#include "../kernel/data.h"
#include "../kernel/local.h"
#include "../kernel/data.h"
#include "../kernel/config.h"
#include "../kernel/attn.h"
#include "../kernel/timer.h"
#include "../kernel/msg.h"
#include "../kernel/socket.h"
#include "../kernel/stackmsg.h"

GLREF_D char stack_active;
GLREF_C VOID stack_stats(VOID);
GLREF_C VOID stack_close(INT);
GLREF_D TEXT *szSTACK;

#endif /* STACK_H */

