/*******************************************************************************
***
*** Filename         : tcp.h
*** Purpose          : Definitions for the TCP layer in PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 27/01/97
*** Last updated     : 16/08/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef TCP_H
#define TCP_H


extern  struct  tqent  *tqhead;

/* string equivalents of TCPE_*, in "tcpin.c" */
extern  char  *tcpi_error[]; /* was tcperror.. Doug doesn't like the 'i' */

extern  int  uqidone;
extern  struct  uqe *uqtab;
/*extern  int  uqmutex; we don't need no steenking mutexes... */

/* global state information */

extern struct queue *tcp_oqueue;       /* iqueue of segments ready for output */
extern struct queue *tcp_iqueue;        /* iqueue of segments ready for input */
/* These hold TCPQLEN items... 
   definition is is in the ..\include\psistack\sys\tcp.h file */

/*extern int tcps_oport;  * Xinu port to start TCP output    */
/*extern int tcps_iport;  * Xinu port to send TCP input packets    */
/*extern int tcps_tmutex;  * tcb table mutex        */

extern int tcps_lqsize;  /* default SERVER queue size      */
extern struct tcb *tcbtab; /* There's tcp_config.tcpc_NTCBS of these */


/* Note that this is just a user-interface structure, there's a copy of it -
   See comment at start of tcp.c */
extern struct tcp_config tcp_config;                     /* Declared in tcp.c */
extern struct tcp_config tcp_config_used;                /* Declared in tcp.c */

/* Some function prototypes */
GLREF_C int tcp_init(void);
GLREF_C int (*tcpiswitch[])(), (*tcposwitch[])();
GLREF_C void tcp_dump(struct buf *b);
GLREF_C void tcb_dump(struct tcb *t);
GLREF_C struct tcb *tcb_alloc(void);
GLREF_C int tcb_free(struct tcb *);
GLREF_C struct tcp *tcp_net2h(struct tcp *);
GLREF_C struct tcp *tcp_h2net(struct tcp *);
GLREF_C word16 tcp_cksum(struct ip *);
GLREF_C struct tcb *tcp_demux(struct buf *);
GLREF_C int tcp_ok(struct tcb *, struct buf *);
GLREF_C int tcp_rcvurg(struct tcb *, struct buf *);
GLREF_C int tcp_shskip(struct tcb *, int, int *);
GLREF_C int tcp_sndurg(int);
GLREF_C struct uqe *uqalloc(void);
GLREF_C int uqfree(struct uqe *puqe);
GLREF_C int uqinit(void);
GLREF_C void uqprint(struct queue *q);
GLREF_C word16 tcp_nextport(void);

#endif /* TCP_H */

