/*******************************************************************************
***
*** Filename         : tcpin.h
*** Purpose          : TCP input processing for PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 12/08/97
*** Last updated     : 24/01/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef TCPIN_H
#define TCPIN_H


void tcpi_process(struct buf *pbuf);
int tcpi_closed(struct tcb *ptcb, struct buf *pbuf);
int tcp_wait(struct tcb *ptcb);
int tcpi_timewait(struct tcb *ptcb, struct buf *pbuf);
int tcpi_closing(struct tcb *ptcb, struct buf *pbuf);
int tcpi_fin2(struct tcb *ptcb, struct buf *pbuf);
int tcpi_fin1(struct tcb *ptcb, struct buf *pbuf);
int tcpi_closewait(struct tcb *ptcb, struct buf *pbuf);
int tcpi_lastack(struct tcb *ptcb, struct buf *pbuf);
int tcpi_established(struct tcb *ptcb, struct buf *pbuf);
int tcp_data(struct tcb *ptcb, struct buf *pbuf);
int tcp_dodat(struct tcb *ptcb, struct tcp *ptcp, tcpseq first, int datalen);
int tcp_tfinsert(struct tcb *ptcb, tcpseq seq, int datalen);
int tcp_tfcoalesce(struct tcb *ptcb, int datalen, struct tcp *ptcp);
int tcp_abort(struct tcb *ptcb, int error);
int tcp_sync(struct tcb *ptcb);
int tcpi_synsent(struct tcb *ptcb, struct buf *pbuf);
int tcpi_synrcvd(struct tcb *ptcb, struct buf *pbuf);
int tcpi_listen(struct tcb *ptcb, struct buf *pbuf);
int tcp_winit(struct tcb *ptcb, struct tcb *newptcb, struct buf *pbuf);
int tcp_ackit(struct tcb *ptcb, struct buf *pbufin);
int tcp_acked(struct tcb *ptcb, struct buf *pbuf);
int tcp_opts(struct tcb *ptcb, struct buf *pbuf);
int tcp_swindow(struct tcb *ptcb, struct buf *pbuf);
int tcp_kick(struct tcb *ptcb);
int tcp_rwindow(struct tcb *ptcb);
int tcp_ostate(struct tcb *ptcb, int acked);
int tcp_rtt(struct tcb *ptcb);
int tcp_smss(struct tcb *ptcb, struct tcp *ptcp, char *popt);

#endif /* TCPIN_H */


