/*******************************************************************************
***
*** Filename         : tcpout.h
*** Purpose          : TCP output processing for PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 26/08/97
*** Last updated     : 02/07/97
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef TCPOUT_H
#define TCPOUT_H

extern struct logstat tcpo_stat[];
#define tcpo_stat_checksum tcpo_stat[0].ls_value
#define tcpo_stat_noTCBexists tcpo_stat[1].ls_value
#define tcpo_stat_retranssegs tcpo_stat[2].ls_value
#define tcpo_stat_activeopens tcpo_stat[3].ls_value
#define tcpo_stat_outsegs tcpo_stat[4].ls_value

void tcpo_process(void);
int tcpo_idle(int, int);
int tcpo_persist(int, int);
int tcpo_xmit(int, int);
int tcp_send(int, int);
int tcp_sndlen(struct tcb *, int, int *);
word32 tcp_howmuch(struct tcb *);
int tcp_reset(struct buf *);
int tcp_wakeup(int, struct tcb *);
word32 tcp_iss(void);
int tcp_rmss(struct tcb *ptcb, struct ip *pip);
int tcpo_rexmt(int tcbnum, int event);

#endif /* TCPOUT_H */

