/*******************************************************************************
***
*** Filename         : udp.h
*** Purpose          : Definitions for the UDP layer in PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 27/01/97
*** Last updated     : 19/04/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef UDP_H
#define UDP_H

/* Note that this is just a user-interface structure, there's a copy of it -
   See comment at start of udp.c */
extern struct udp_config udp_config;                     /* Declared in udp.c */
extern struct udp_config udp_config_used;                /* Declared in udp.c */
extern struct upq *upqs;

extern int udp_init(void);
extern struct upq *upq_alloc(void);
extern int  udp_process(struct buf *);
extern word16 udp_nextport(void);
extern int udp_send(IPaddr fip, word16 fport, word16 lport, struct buf *b,
                    int datalen, int docksum);
extern void udp_dump(struct buf *);
extern word16 udp_cksum(struct ip *);
extern void udp_stats(void);

#endif /* UDP_H */

