/* testcons.c - test harness for the console */

#include "..\utils\sysincl.h"
#include "\sibosdk\include\psistack\console.h"
/* Stupid TopSpeed doesn't allow <psistack/console.h> like any REAL
   compiler will... */

GLREF_D UWORD DatLocked;            /* non-zero when application "busy" */
GLREF_D TEXT *DatUsedPathNamePtr;   /* full path name of current file */
GLREF_D UWORD _UseFullScreen, _SmallFontDialog;
GLREF_D VOID *winHandle;

void main()
{
int i;
INT retval;
LOCAL_D INT gc;
  _UseFullScreen=TRUE;
  uCommonInit();                /* initialisation common to all Hwif programs */

  gc = gCreateGC0(uFindMainWid());
  if (_UseFullScreen) {
    /* Running on a Series 3a or Workabout */
    wFree(gc);
    uEnableGrey();
    gc = gCreateGC0(uFindMainWid());
  }

  p_puts("PsiStack Console Exerciser");
  p_puts("Switch to the console screen...");

  retval = console_print("This is the console test program\r\nTalking to the console....\r\n");
  p_printf("retval is %d\r\n", retval);

  p_sleep(20); /* 2 secs */
  for (i=0; i< 10; i++) {
    retval = console_printf("i is now %d\r\n", i);
    p_printf("retval is %d\r\n", retval);
    p_sleep(2); /* 1/5 secs */
  }
  p_sleep(20); /* 2 secs */
  for (i=0; i<20; i++) {
    retval = console_printf("fast - i is now %d\r\n", i);
    p_printf("retval is %d\r\n", retval);
  }
  console_puts("Now testing the prefixed messages...");
  console_setprefix("testcons");
  console_pputs("<should say testcons, and eol...>");
  console_pprint("there is no newline here >");
  console_pputs("<testcons again?");
  for (i=0; i<3; i++)
    console_pprintf("the value of i is %d\r\n", i);
  console_print("closing the console in 5 seconds...\r\n");
  p_sleep(50);
  console_unload();
}

