/*******************************************************************************
***
*** Filename         : path.c
*** Purpose          : PsiStack Install Path Detection API Link Library
***                    Gets linked with client apps; can work out where the user
***                    has installed PsiStack, and can fully-qualify filenames,
***                    so that the system can be installed on any drive.
*** Author           : Matt J. Gumbley
*** Created          : 22/02/98
*** Last updated     : 22/02/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#include "sysincl.h"
#include "path.h"

GLDEF_D TEXT path_app_psistack[] = "\\APP\\PSISTACK\\";
GLDEF_D TEXT path_psistack[] = "\\PSISTACK\\";
GLDEF_D TEXT *path_drives[] = {
  "LOC::M:", "LOC::A:", "LOC::B:", "REM::C:", NULL
};
GLDEF_D TEXT **path_drive = NULL;


GLDEF_C UINT path_detect(VOID)
{
TEXT testpath[30];
VOID *dcb;
  /* Could possibly use p_getpth? */
  for (path_drive=&path_drives[0]; *path_drive; path_drive++) {
    p_scpy(testpath, *path_drive);
    p_scat(testpath, path_app_psistack);
    if (p_open(&dcb,testpath, P_FDIR)==0) {
      p_close(dcb);
      return TRUE;
    }
  }
  path_drive = NULL;
  return FALSE;
}

GLDEF_C UINT path_system_file(TEXT *basename, TEXT *buf)
{
  if (!path_drive)
    return FALSE;
  p_scpy(buf, *path_drive);
  p_scat(buf, path_app_psistack);
  p_scat(buf, basename);
  return TRUE;
}

GLDEF_C UINT path_user_file(TEXT *basename, TEXT *buf)
{
  if (!path_drive)
    return FALSE;
  p_scpy(buf, *path_drive);
  p_scat(buf, path_psistack);
  p_scat(buf, basename);
  return TRUE;
}

