/*******************************************************************************
***
*** Filename         : utils.h
*** Purpose          : Utility function library for PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 20/01/97
*** Last updated     : 01/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef UTILS_H /* NB: UTIL_H is the kernel-internal utils */
#define UTILS_H

/* Needs sys\global.h and sys\ip.h */

/* Some identifiers for the baud rates strings */

#define BR_300 0
#define BR_600 1
#define BR_1200 2
#define BR_2400 3
#define BR_4800 4
#define BR_9600 5
#define BR_19200 6
#define BR_38400 7
#define BR_57600 8
#define BR_115200 9

GLREF_D char *szBaudRates[];
GLREF_D char hexdigs[];
GLREF_C char *diagchar(int ch);
GLREF_C char hexdig(int num);
GLREF_C int hexdig2dec(char dig);
GLREF_C word16 cksum(word16 *buf, int nwords);
GLREF_C char *szConvertIPaddr(IPaddr ip);
GLREF_C int isdqchar(char ch);
GLREF_C int isdottedquad(char *buf, int len);
GLREF_C int IPaddrConvertsz(char *str, IPaddr dest);
GLREF_C VOID beep(VOID);

#endif /* UTILS_H */


